document.addEventListener('DOMContentLoaded', function () {
    const isMobile = window.innerWidth < 768; // Define what you consider a mobile screen size
    const snowflakeCount = isMobile ? 20 : 50; // Fewer snowflakes on mobile

    for (let i = 0; i < snowflakeCount; i++) {
        createSnowflake(isMobile);
    }
});

function createSnowflake(isMobile) {
    const snowflake = document.createElement('div');
    snowflake.className = 'snowflake';

    const snowflakeChars = ['❄', '❅', '❆'];
    snowflake.textContent = snowflakeChars[Math.floor(Math.random() * snowflakeChars.length)];

    snowflake.style.left = Math.random() * 100 + 'vw';
    snowflake.style.animationDuration = Math.random() * 3 + 3 + 's'; // Control the fall speed
    snowflake.style.opacity = Math.random();
    // Smaller size on mobile
    snowflake.style.fontSize = (Math.random() * 5 + (isMobile ? 5 : 10)) + 'px';

    document.body.appendChild(snowflake);

    setTimeout(() => {
        snowflake.remove();
        createSnowflake(isMobile);
    }, (Math.random() * 3 + 3) * 1000);
}